Ticket #341 (reopened enhancement)

Opened 6 years ago

Last modified 3 years ago

m.h.replicator: mirror exporter add child recursion depth configuration

Reported by: rambo Assigned to: rambo
Priority: minor Milestone: 8.09.10 Ragnaroek
Component: MidCOM component Version: 8.09 Ragnaroek
Keywords: Cc:

Description

on large sites it can be very time consuming to recurse all children of for example the root-topic upon approve, thus a configuration option limiting the recursion depth would be needed.

Change History

10/13/08 10:58:31 changed by bergie

  • milestone changed from 8.09 Ragnaroek to 8.09.2 Ragnaroek.

10/31/08 10:43:32 changed by bergie

  • milestone changed from 8.09.2 Ragnaroek to 8.09.3 Ragnaroek.

Postponing to .3

11/18/08 12:02:37 changed by bergie

  • milestone changed from 8.09.3 Ragnaroek to 8.09.4 Ragnaroek.

11/18/08 12:02:45 changed by bergie

  • priority changed from major to minor.

02/26/09 13:13:28 changed by bergie

  • milestone changed from 8.09.4 Ragnaroek to 8.09.5 Ragnaroek.

04/29/09 15:46:05 changed by bergie

  • milestone changed from 8.09.5 Ragnaroek to 8.09.6 Ragnaroek.

10/20/09 12:48:46 changed by piotras

  • milestone changed from 8.09.6 Ragnaroek to 8.09.7 Ragnaroek.

05/27/11 09:32:21 changed by rambo

  • status changed from new to closed.
  • resolution set to wontfix.

When we export an object we must export all dependencies too (including full parent tree up to root, so the topic would get replicated anyway...) or risk failing replication due to missed dependencies.

Also: would the force affect only the given object, all objects in the resolve tree (parents and children) or this object and it's children. Affecting all objects would defeat the point and in other cases something will probably end up missing causing either incomplete or failed replications.

05/27/11 09:33:10 changed by rambo

  • status changed from closed to reopened.
  • resolution deleted.

Oops, wrong window...